##
## $Id: Makefile.am,v 1.2 2001-09-27 12:02:00 chris Exp $
##

AUTOMAKE_OPTIONS = foreign 1.4

LIBNAME = lib.a
LIB = $(ARCH)/$(LIBNAME)

C_FILES = asp.c balloc.c wbase64.c default.c ejlex.c ejparse.c form.c h.c \
    handler.c mime.c misc.c webpage.c ringq.c rom.c security.c socket.c \
    sym.c uemf.c url.c value.c webrom.c webs.c websuemf.c webmain.c
C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)

OBJS = $(C_O_FILES)

H_FILES = ej.h uemf.h webs.h wsIntrn.h

include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
include $(top_srcdir)/../../../automake/lib.am

#
# Add local stuff here using +=
#

AM_CPPFLAGS += -DWEBS -DUEMF -DOS="RTEMS"

$(LIB): $(OBJS)
	$(make-library)

$(PROJECT_INCLUDE):
	$(mkinstalldirs) $@

$(PROJECT_INCLUDE)/goahead:
	$(mkinstalldirs) $@

$(PROJECT_INCLUDE)/goahead/%.h: %.h
	$(INSTALL_DATA) $< $@

$(PROJECT_INCLUDE)/rtems_webserver.h: rtems_webserver.h
	$(INSTALL_DATA) $< $@

PREINSTALL_FILES += $(PROJECT_INCLUDE) \
    $(PROJECT_INCLUDE)/rtems_webserver.h $(PROJECT_INCLUDE)/goahead \
    $(H_FILES:%.h=$(PROJECT_INCLUDE)/goahead/%.h)

if HAS_POSIX
all-local: $(PREINSTALL_FILES) $(ARCH) $(OBJS) $(LIB)
endif

.PRECIOUS: $(LIB)

EXTRA_DIST = asp.c balloc.c default.c ej.h ejlex.c ejparse.c form.c h.c \
    handler.c mime.c misc.c ringq.c rom.c rtems_webserver.h security.c \
    socket.c sym.c uemf.c uemf.h url.c value.c wbase64.c webcomp.c webmain.c \
    webpage.c webrom.c webs.c webs.h websuemf.c wsIntrn.h

include $(top_srcdir)/../../../automake/local.am
